# CEGUI::_freeBinder< Ret, Args > Class Template Reference

This class binds a free function. More...

Inheritance diagram for CEGUI::_freeBinder< Ret, Args >:

[legend]
Collaboration diagram for CEGUI::_freeBinder< Ret, Args >:

[legend]
List of all members.

## Public Types

typedef Ret(* | SlotFunction )(Args)

## Public Member Functions

virtual Ret | operator() (Args args) const
| _freeBinder (SlotFunction f)

## Protected Attributes

SlotFunction | d_f

## Detailed Description

### template<typename Ret, typename Args>
class CEGUI::_freeBinder< Ret, Args >

This class binds a free function.